Get a sync
curl --request GET \
--url https://app.sure.am/api/v1/syncs/{id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://app.sure.am/api/v1/syncs/{id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.sure.am/api/v1/syncs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"in_progress": true,
"terminal": true,
"syncable": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"children_count": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"window_start_date": "2023-12-25",
"window_end_date": "2023-12-25",
"pending_at": "2023-11-07T05:31:56Z",
"syncing_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z",
"error": {
"message": "<string>"
}
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}Sync
Get a sync
Returns sanitized status metadata for a single family-scoped sync.
GET
/
api
/
v1
/
syncs
/
{id}
Get a sync
Authorizations
API key for authentication. Generate one from your account settings.
Path Parameters
UUID of the sync to retrieve. The sync must belong to the authenticated user's family.
Response
sync shown
The sync resource, or null when no sync exists (for example, the latest sync endpoint when the family has never synced).
Show child attributes
Show child attributes
Was this page helpful?
⌘I